% Copyright 2018, John C. Young, All rights reserved.
%
% Get the set of nodes from the fine mesh that will describe the higher-order
% element constructed on the coarse cell.
function node_list = get_higher_order_nodes_by_edges(coarse_cell_id,cmesh,fmesh,octree,mesh_order)

   % Next, generate the higher-order node lists.  This is done in two parts:
   %    1. Find the fine mesh face that lies inside the coarse mesh cell AND shares the same first node.
   %    2. Use the starting cell info to generate the ordered higher-order node list.
   
   start_data = get_start_topos(coarse_cell_id,cmesh,fmesh,octree,mesh_order);
   node_list = generate_node_list_by_edges(fmesh,start_data,mesh_order);

end
