% Copyright 2018, John C. Young, All rights reserved.
%

order = 1:4;
ipath='mesh\'; % path where the input files are 
opath='ho_mesh\';  % path where the output files should go

base = {'24', '96'};  % For quads
for o = order
    for bname = base
        cfilename = [ipath,'quadsphere_',bname{1},'x1_r1.gemf'];
        ffilename = [ipath,'quadsphere_',bname{1},'x1_r',int2str(o),'.gemf'];        
        ofilename = [opath,'quadsphere_',bname{1},'x1_o',int2str(o),'.gemf'];        

        fprintf('Processing file %s \n',ofilename);
        higher_order_mesh(cfilename,ffilename,ofilename,o);
    end
end
    
base = {'36', '72'}; % For triangles
for o = order
    for bname = base
        cfilename = [ipath,'trisphere_',bname{1},'x1_r1.gemf'];
        ffilename = [ipath,'trisphere_',bname{1},'x1_r',int2str(o),'.gemf'];
        ofilename = [opath,'trisphere_',bname{1},'x1_o',int2str(o),'.gemf'];
        
        fprintf('Processing file %s \n',ofilename);
        higher_order_mesh(cfilename,ffilename,ofilename,o);
    end
end
